<?php
/**
 * @file
 * Default theme implementation to display a Drupal page.
 *
 * YUI Grid variables:
	* $yui_sidebar_width - Unit size of the sidebar;
	* $yui_sidebar_location - Left: 1; Right 2; None: 0;
	* $yui_breadcrumbs - Display breadcrumbs or not;
	* $yui_responsive - Responsive layout or not;
	* $yui_main_width - Unit size of the main content;
	*
 */
?>
<div id="page-wrapper"><div id="page" class="yui3-g<?php if ($yui_responsive) { print '-r'; } ?>">

  <div id="hd" class="yui3-u-1">
    <?php print render($page['header']); ?>
    <div  role="banner">
      <div id="logo">
        <?php if ($logo) { ?><a href="<?php print $front_page ?>" title="<?php print t('Home') ?>"><img src="<?php print $logo ?>" alt="<?php print t('Home') ?>" /></a><?php } ?>
      </div>
      <?php if ($site_slogan) { ?><div class='site-slogan'><?php print $site_slogan ?></div><?php } ?>
    </div>
    <div id="menu" role="navigation">
      <?php if ($main_menu): ?>
        <div id="navigation"><div class="section clearfix">
          <?php print theme('links__system_main_menu', array(
            'links' => $main_menu,
            'attributes' => array(
              'id' => 'main-menu',
              'class' => array('links', 'clearfix'),
            ),
            'heading' => array(
              'text' => t('Main menu'),
              'level' => 'h2',
              'class' => array('element-invisible'),
            ),
          )); ?>
        </div></div> <!-- /.section, /#navigation -->
      <?php endif; ?>
    </div>
  </div>
  <div id="bd" class="yui3-g<?php if ($yui_responsive) { print '-r'; } ?>">
    <?php if ($yui_sidebar_location == 1) { ?>
      <div class="yui3-u-<?php print $yui_sidebar_width;?>" id="sidebar" role="complementary">
        <?php print render ($page['sidebar']); ?>
      </div>
    <?php } ?>
    <div class="yui3-u-<?php print $yui_main_width;?>" id="main" role="main">
						<div class="main-inner">
								<?php if ($yui_breadcrumbs) { print $breadcrumb; } ?>
								<a id="main-content"></a>
								<h1 class="title"><?php print $title; ?></h1>
								<div class="tabs">
										<?php print render($tabs); ?>
								</div>
								<?php if ($show_messages) { print $messages; } ?>
								<?php print render($page['help']); ?>
								<?php if ($action_links): ?>
								<ul class="action-links">
										<?php print render($action_links); ?>
								</ul>
								<?php endif; ?>
								<?php print render($page['content']); ?>
								<?php print $feed_icons; ?>
						</div>
    </div>
    <?php if ($yui_sidebar_location == 2) { ?>
      <div class="yui3-u-<?php print $yui_sidebar_width;?>" id="sidebar" role="complementary">
        <?php print render ($page['sidebar']); ?>
      </div>
    <?php } ?>
  </div>

  <div id="ft" role="contentinfo" class="yui3-u-1 clearfix">
    <?php print render($page['footer']); ?>
    <?php if ($secondary_menu): ?>
      <div id="secondary-menu" class="navigation">
        <?php print theme('links__system_secondary_menu', array(
          'links' => $secondary_menu,
          'attributes' => array(
            'id' => 'secondary-menu-links',
            'class' => array('links', 'clearfix'),
          ),
          'heading' => array(
            'text' => t('Secondary menu'),
            'level' => 'h2',
            'class' => array('element-invisible'),
          ),
        )); ?>
      </div> <!-- /#secondary-menu -->
    <?php endif; ?>
  </div>

</div></div>
